from userapp import views
from django.urls import path
from django.contrib.auth import views as auth_views

urlpatterns = [
    
    path('loginview/', views.loginview, name='loginview'),
    path('registerview/', views.registerview, name='registerview'),
    path('logoutview',views.logoutview,name="logoutview"),
    
    path("forgetpassword/",views.forgetpassword, name="forgetpassword"),
    path("otppage/", views.otppage, name="otppage"),  
    path('reset-password/', views.reset_password, name="reset_password"),
    
    path('',views.indexview,name="indexview"),
    path('category_list/', views.category_list, name='category_list'),
    path('adtemplate_list/', views.adtemplate_list, name='adtemplate_list'),
     path('search_results/', views.search_results, name='search_results'),
    
    
    path('profile/', views.profile, name='profile'),
     path('cancel_order/<int:order_id>/', views.cancel_order, name='cancel_order'),
     path("update_profile/", views.update_profile, name="update_profile"),
      path('change-password/', views.change_password, name='change_password'),
      
    # path('generate_invoice/<int:order_id>/', views.generate_invoice, name='generate_invoice'),
    # path('download-invoice/<int:order_id>/', views.download_invoice, name='download_invoice'),

    
    path('category_detail/<int:category_id>/', views.category_detail, name='category_detail'),
    path('adtemplate_detail/<int:template_id>/', views.adtemplate_detail, name='adtemplate_detail'),
    
    
    path("customize/<int:template_id>/", views.customize_ad, name="customize_ad"),
    
    path("checkout/<int:customize_id>/", views.checkout, name="checkout"),
    path("payment/<int:order_id>/", views.payment, name="payment"),
    path("payment-success/", views.payment_success, name="payment_success"),
    path("order-success/<int:order_id>/", views.order_success, name="order_success"),
   
    path('submit-feedback/', views.submit_feedback, name='submit_feedback'),
   
    path('aboutview/',views.aboutview,name="aboutview"),
    path('serviceview/',views.serviceview,name="serviceview"),
    path('projectview/',views.projectview,name="projectview"),
    path('contactview',views.contactview,name="contactview"),
    
    path('invoice/<int:order_id>/', views.generate_invoice, name='generate_invoice'),
    # path('demo/<int:order_id>/', views.demo, name='demo'),
    
]
